> For the complete documentation index, see [llms.txt](https://docs.tuumio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tuumio.com/protocol-guide/build-a-dapp/tuumio-ledgers.md).

# TuumIO Ledgers

## TuumIO Ledger specifications

A TuumIO ledger is used to store and manage data related to events or transactions within the network. If necessary, include details about `tuumIO_ledgers` and `tuumIO_ledger_tags` in your protocol.

Use tags to categorize data within TuumIO ledgers, such as Appointments, Prescriptions, Results, and others.

| Field Name | Value  | Description                             |
| ---------- | ------ | --------------------------------------- |
| id         | string | The unique ID of the TuumIO ledger tag. |
| name       | string | The name of the TuumIO ledger tag.      |

{% code title="Example:" %}

```json
        "care_ledger_tags": [            
            {
                "id": "clt-Answer-QA",
                "name": "Answer QA"
            },
            {
                "id": "clt-Request-Appointment",
                "name": "Request Appointment"
            }
        ],
```

{% endcode %}

Declare the attributes and values for the TuumIO ledgers.

| Field Name           | Value  | Description                                                                       |
| -------------------- | ------ | --------------------------------------------------------------------------------- |
| id                   | string | The unique ID of the tuumIO ledger.                                               |
| name                 | string | The name of the tuumIO ledger.                                                    |
| description          | string | The description of the tuumIO ledger.                                             |
| event\_id            | string | The reference ID of the event to be recorded in the tuumIO ledger.                |
| private\_cards       | array  | The cards with consent to view.                                                   |
| public\_cards        | array  | The cards associated to the event record, which can be shared across the network. |
| tuumIO\_ledger\_tags | array  | The reference IDs of the tuumIO ledger tags.                                      |

{% code title="Example:" %}

```json
        "care_ledgers": [
            {
                "id": "cl-e-PSbUgucq4Z8zCSemaBiuSyc2uijm8",
                "name": "Answer QA",
                "description": "Answer QA",
                "event_id": "e-w-broad-sendqa-next",
                "private_cards": [],
                "public_cards": [
                    "cd-wv129h6n1lr1ognzepj2abp1iqvp"
                ],
                "care_ledger_tags": [
                    "clt-Answer-QA"
                ]
            },
            {
                "id": "cl-e-PSbUgucq4Z8zCSemaBiuSyc2jXg4",
                "name": "Request Appointment from Patient to Doctor",
                "description": "Request Appointment from Patient to Doctor",
                "event_id": "e-w-broad-shareAppt-next",
                "private_cards": [],
                "public_cards": [
                    "cd-mwlyle6o9ko65ojdorbrg259g761"
                ],
                "care_ledger_tags": [
                    "clt-Request-Appointment"
                ]
            }
        ]    
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tuumio.com/protocol-guide/build-a-dapp/tuumio-ledgers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
